# Price recalculation in purchases orders

This module adds one button on purchase orders (below the lines) that:

- Recalculates the prices of the order lines that contain a product in them.

It is launched manually as a button to get the user to decide if he/she wants to recalculate prices when vendor is changed or after duplicating a purchase order to update or not purchase information.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

1. Go to Purchase -> Products > Products and create some record and set differente prices to vendors in Purchase tab, for example: Vendor 1: 10 and Vendor 2: 20.
2. Go to Purchase -> Orders > Requests for Quotation and create some record and set Vendor 1.
3. Add a line with the previously created product.
4. The unit price of the product is 10.
5. Change vendor to Vendor 2.
6. Click on the “Update lines info” button.
7. The unit price of the product is 20.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Tecnativa

## Contributors

- Tecnativa:
  - Víctor Martínez
  - Pedro M. Baeza

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/purchase-workflow project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.